function [k_rec,zh] = LARK(y,ksize,wsize,h)

% pilot estimation by second order classic kernel regression(clean)
hc = 0.5;    % the global smoothing parameter
r = 1;      % the upscaling factor
ksize_classic = 9;  % the kernel size
% [zc, zx1c, zx2c] = ckr2_regular(y, hc, r, ksize_classic);

% clean image SKR coeffs.

lambda = 1;  % the regularization for the elongation parameter 0.0001
alpha = 0.5; % the structure sensitive parameter 0.5
% h = 2.4;     % the global smoothing parameter(original=2.4)


%%    noisy image  %%
[zn, zx1n, zx2n] = ckr2_regular(y, hc, r, ksize_classic);

    % compute steering matrix
[C_NOISY] = steering(zx1n, zx2n, ones(size(y)), wsize, lambda, alpha);
    
[k_rec,zh] = SKR(y, C_NOISY, ksize,h);

end